Skip to content
v2.274.0

Experimental

@aws-cdk/aws-pipes-alpha is an experimental (alpha) package: its API may change in any release, without a major version bump.

IncludeExecutionData Enum ​

Log data configuration for a pipe.

Example ​

ts
declare const sourceQueue: sqs.Queue;
declare const targetQueue: sqs.Queue;
declare const logGroup: logs.LogGroup;

const cwlLogDestination = new pipes.CloudwatchLogsLogDestination(logGroup);

const pipe = new pipes.Pipe(this, 'Pipe', {
  source: new SqsSource(sourceQueue),
  target: new SqsTarget(targetQueue),
  logLevel: pipes.LogLevel.TRACE,
  logIncludeExecutionData: [pipes.IncludeExecutionData.ALL],
  logDestinations: [cwlLogDestination],
});

Members ​

MemberDescription
ALLSpecify ALL to include the execution data (specifically, the payload, awsRequest, and awsResponse fields) in the log messages for this pipe.

Referenced by ​

  • PipeProps.logIncludeExecutionDatalog_include_execution_datalogIncludeExecutionDataLogIncludeExecutionDataLogIncludeExecutionData